# PSortedListInfo Struct Reference

`#include <lists.h>`

List of all members.

## Public Types

typedef PSortedListElement | Element

## Public Member Functions

| PSortedListInfo ()
PSortedListElement * | Successor (const PSortedListElement *node) const
PSortedListElement * | Predecessor (const PSortedListElement *node) const
PSortedListElement * | OrderSelect (PSortedListElement *node, PINDEX index) const
| PDECLARE_POOL_ALLOCATOR ()

## Public Attributes

PSortedListElement * | root
PSortedListElement | nil

## Member Typedef Documentation

typedef PSortedListElement PSortedListInfo::Element

## Constructor & Destructor Documentation

PSortedListInfo::PSortedListInfo | ( |  | ) |

## Member Function Documentation

PSortedListElement* PSortedListInfo::OrderSelect | ( | PSortedListElement * | node,
|  | PINDEX | index |
| ) |  |  | const

PSortedListInfo::PDECLARE_POOL_ALLOCATOR | ( |  | ) |

PSortedListElement* PSortedListInfo::Predecessor | ( | const PSortedListElement * | node | ) | const

PSortedListElement* PSortedListInfo::Successor | ( | const PSortedListElement * | node | ) | const

## Member Data Documentation

PSortedListElement PSortedListInfo::nil

PSortedListElement* PSortedListInfo::root

The documentation for this struct was generated from the following file:

- lists.h